;
;   This is part of servo.
;   Names and constants define.
;   Copyright (C) 2006 2010 2012  Alessandro Accattini
;
;   This program is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License as published by
;   the Free Software Foundation; either version 2 of the License, or
;   (at your option) any later version.
;
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;
;*****************************************************************************
;
;
;

.equ	AT90S2313	=1	;micro is AT90S2313


.equ	Stack		=0x00df	;posizione dello stack

;nota: i registri R0, R1, R2, R3, R4, R5 sono dedicati a funzioni specifiche
;nell'interrupt del timer senza essere salvati.
.def	Save		=r15	;salvataggio SREG durante le interruzioni

.equ	StartPos	=128	;posizione di partenza dei servi


;impostazioni per range di movimento standard
.equ	ZeroOffset	=248
.equ	TimeDelay	=1

;impostazioni per range di movimento esteso
;.equ	ZeroOffset	=83
;.equ	TimeDelay	=5


;divisori di frequenza
.ifdef Clock8

;impostazioni per un quarzo da 8.0000MHz
.equ	TimeRate	=25	;compare value per il timer

.else

;impostazioni per un quarzo da 7.3728MHz
.equ	TimeRate	=23	;compare value per il timer

.endif
